Bug 1456203 - Review Request: jumpnbump - Cute multiplayer platform game with bunnies
Summary: Review Request: jumpnbump - Cute multiplayer platform game with bunnies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2017-05-27 18:09 UTC by Rémi Verschelde
Modified: 2017-06-21 08:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-12 13:04:51 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Rémi Verschelde 2017-05-27 18:09:03 UTC
Spec URL: http://remi.verschelde.fr/files/packages/fedora/jumpnbump.spec
SRPM URL: http://remi.verschelde.fr/files/packages/fedora/jumpnbump-1.60-1.mga6.src.rpm

Description:

Hi there,

I'm one of the upstream maintainers of Jump 'n Bump, and also an experienced Mageia RPM packager, so I thought I'd propose a SRPM for inclusion in Fedora.

I have a FAS account and would gladly maintain this package as a Fedora packager, once reviewed and accepted.

The package was already informally reviewed by Neal Gompa, the formal review should be relatively painless :)

Fedora Account System Username: akien

Comment 1 Neal Gompa 2017-05-27 18:13:24 UTC
Taking this review (formally!).

Comment 2 Neal Gompa 2017-05-27 18:29:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in jumpnbump
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "*No copyright*
     GPL". 59 files have unknown license. Detailed output of licensecheck
     in /home/makerpm/1456203-jumpnbump/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 15 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     jumpnbump-menu , jumpnbump-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jumpnbump-1.60-1.fc27.x86_64.rpm
          jumpnbump-menu-1.60-1.fc27.noarch.rpm
          jumpnbump-debuginfo-1.60-1.fc27.x86_64.rpm
          jumpnbump-1.60-1.fc27.src.rpm
jumpnbump.x86_64: W: spelling-error Summary(en_US) multiplayer -> multiplier, multiplexer
jumpnbump.x86_64: W: spelling-error %description -l en_US multiplayer -> multiplier, multiplexer
jumpnbump.x86_64: W: only-non-binary-in-usr-lib
jumpnbump.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
jumpnbump.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
jumpnbump.x86_64: W: no-manual-page-for-binary jnbunpack
jumpnbump.x86_64: W: no-manual-page-for-binary jnbpack
jumpnbump.x86_64: W: no-manual-page-for-binary gobpack
jumpnbump.x86_64: E: invalid-appdata-file /usr/share/appdata/jumpnbump.appdata.xml
jumpnbump-menu.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
jumpnbump-menu.noarch: E: wrong-script-interpreter /usr/bin/jumpnbump-menu /usr/bin/env python
jumpnbump-menu.noarch: W: no-manual-page-for-binary jumpnbump-menu
jumpnbump.src: W: spelling-error Summary(en_US) multiplayer -> multiplier, multiplexer
jumpnbump.src: W: spelling-error %description -l en_US multiplayer -> multiplier, multiplexer
4 packages and 0 specfiles checked; 2 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: jumpnbump-debuginfo-1.60-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
jumpnbump.x86_64: W: spelling-error Summary(en_US) multiplayer -> multiplier, multiplexer
jumpnbump.x86_64: W: spelling-error %description -l en_US multiplayer -> multiplier, multiplexer
jumpnbump.x86_64: W: only-non-binary-in-usr-lib
jumpnbump.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
jumpnbump.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
jumpnbump.x86_64: W: no-manual-page-for-binary gobpack
jumpnbump.x86_64: W: no-manual-page-for-binary jnbpack
jumpnbump.x86_64: W: no-manual-page-for-binary jnbunpack
jumpnbump-menu.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
jumpnbump-menu.noarch: E: wrong-script-interpreter /usr/bin/jumpnbump-menu /usr/bin/env python
jumpnbump-menu.noarch: W: no-manual-page-for-binary jumpnbump-menu
3 packages and 0 specfiles checked; 1 errors, 10 warnings.



Requires
--------
jumpnbump-debuginfo (rpmlib, GLIBC filtered):

jumpnbump (rpmlib, GLIBC filtered):
    libSDL2-2.0.so.0()(64bit)
    libSDL2_mixer-2.0.so.0()(64bit)
    libSDL2_net-2.0.so.0()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

jumpnbump-menu (rpmlib, GLIBC filtered):
    /usr/bin/convert
    /usr/bin/env
    jumpnbump
    pygtk2



Provides
--------
jumpnbump-debuginfo:
    jumpnbump-debuginfo
    jumpnbump-debuginfo(x86-64)

jumpnbump:
    appdata()
    appdata(jumpnbump.appdata.xml)
    application()
    application(jumpnbump.desktop)
    jumpnbump
    jumpnbump(x86-64)

jumpnbump-menu:
    application()
    application(jumpnbump-menu.desktop)
    jumpnbump-menu



Source checksums
----------------
https://gitlab.com/LibreGames/jumpnbump/uploads/9f3a356c52f433e3af10f1ef800fce5d/jumpnbump-1.60.tar.xz :
  CHECKSUM(SHA256) this package     : 174891415af2c4db683c657001f83a0efc64a56fafc4ba543709b9d9ff92b655
  CHECKSUM(SHA256) upstream package : 174891415af2c4db683c657001f83a0efc64a56fafc4ba543709b9d9ff92b655


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1456203 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Neal Gompa 2017-05-27 18:37:16 UTC
Some issues of note:

>- gtk-update-icon-cache is invoked in %postun and %posttrans if package
>  contains icons.
>  Note: icons in jumpnbump
>  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Apparently, you do need them even for regular icons. I suppose it makes sense, given what it's for. Since this hasn't been implemented as a file trigger, it needs to be in the spec.

> [!]: Uses parallel make %{?_smp_mflags} macro.

This is documented and known.

> jumpnbump.x86_64: W: only-non-binary-in-usr-lib
> jumpnbump.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
> jumpnbump.x86_64: W: hidden-file-or-dir /usr/lib/.build-id

Related to new debuginfo changes, ignore.

> jumpnbump.x86_64: E: invalid-appdata-file /usr/share/appdata/jumpnbump.appdata.xml

This is odd. In your %check section, it's declared valid... I'll ignore this for now.

> jumpnbump-menu.noarch: E: wrong-script-interpreter /usr/bin/jumpnbump-menu /usr/bin/env python

I suggest changing the interpreter via sed like so:

sed -e "s:#!/usr/bin/env python/%{__python2}/:" %{buildroot}%{_bindir}/jumpnbump-menu

The %__python2 macro requires python2-devel pulled in as a BR, which you need to do anyway since there's Python stuff in here.

Comment 4 Neal Gompa 2017-05-27 18:39:09 UTC
Err, the command should be:

sed -e "s:#!/usr/bin/env python/#!%{__python2}/:" %{buildroot}%{_bindir}/jumpnbump-menu

Comment 5 Neal Gompa 2017-05-27 18:40:56 UTC
Gah, tiredness...

sed -e "s:#!/usr/bin/env python:#!%{__python2}:" %{buildroot}%{_bindir}/jumpnbump-menu

Comment 6 Rémi Verschelde 2017-05-27 18:57:27 UTC
Thanks for the review. All issues should be addressed in the updated version (same URLs):

Spec URL: http://remi.verschelde.fr/files/packages/fedora/jumpnbump.spec
SRPM URL: http://remi.verschelde.fr/files/packages/fedora/jumpnbump-1.60-1.mga6.src.rpm

>- gtk-update-icon-cache is invoked in %postun and %posttrans if package
>  contains icons.
>  Note: icons in jumpnbump
>  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Done. The documentation explicitly mentions that the scriptlet is needed for "subdirectories" of %{_datadir}/icons/, while here we're in the top folder directory. But supposing the review tool knows its business, I assume that it's a broad "subdirectories" as in "that directory and all its subdirectories". It does make sense.

> jumpnbump.x86_64: E: invalid-appdata-file /usr/share/appdata/jumpnbump.appdata.xml

There was actually a mistake in the appdata file, it still referenced the old GitHub repository instead of the new GitLab one. Fixed with an upstream patch.

> jumpnbump-menu.noarch: E: wrong-script-interpreter /usr/bin/jumpnbump-menu /usr/bin/env python

Fixed with an upstream patch too.

Comment 7 Neal Gompa 2017-05-27 19:06:10 UTC
Looks good now! fedora-review is happy. :)

PACKAGE APPROVED.

Comment 8 Neal Gompa 2017-05-27 19:07:15 UTC
As I've seen quite a bit of your work, I'm also going to sponsor you.

I look forward to seeing you become more involved in the Fedora community!

Comment 9 Gwyn Ciesla 2017-05-29 19:22:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/jumpnbump

Comment 10 Fedora Update System 2017-05-29 21:06:28 UTC
jumpnbump-1.60-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e6d3ae98ce

Comment 11 Fedora Update System 2017-05-29 21:10:41 UTC
jumpnbump-1.60-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf8d29889c

Comment 12 Fedora Update System 2017-05-29 21:11:01 UTC
jumpnbump-1.60-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2206fc38a0

Comment 13 Fedora Update System 2017-05-29 21:11:25 UTC
jumpnbump-1.60-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7f7dd3851b

Comment 14 Rémi Verschelde 2017-05-29 21:16:07 UTC
(In reply to Gwyn Ciesla from comment #9)
> Package request has been approved:
> https://admin.fedoraproject.org/pkgdb/package/rpms/jumpnbump

Thanks Gwyn, and thanks Neal for the review.

The package built fine in Rawhide, and I *think* I got the update workflow right: https://apps.fedoraproject.org/packages/jumpnbump

Comment 15 Fedora Update System 2017-05-30 21:46:31 UTC
jumpnbump-1.60-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e6d3ae98ce

Comment 16 Fedora Update System 2017-05-30 22:06:11 UTC
jumpnbump-1.60-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7f7dd3851b

Comment 17 Fedora Update System 2017-05-31 01:03:37 UTC
jumpnbump-1.60-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2206fc38a0

Comment 18 Fedora Update System 2017-05-31 01:04:30 UTC
jumpnbump-1.60-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf8d29889c

Comment 19 Fedora Update System 2017-06-02 19:33:46 UTC
jumpnbump-1.60-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e6d3ae98ce

Comment 20 Fedora Update System 2017-06-02 19:36:09 UTC
jumpnbump-1.60-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7f7dd3851b

Comment 21 Fedora Update System 2017-06-02 19:36:24 UTC
jumpnbump-1.60-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2206fc38a0

Comment 22 Fedora Update System 2017-06-02 19:38:10 UTC
jumpnbump-1.60-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf8d29889c

Comment 23 Fedora Update System 2017-06-04 19:39:03 UTC
jumpnbump-1.60-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e6d3ae98ce

Comment 24 Fedora Update System 2017-06-05 01:58:17 UTC
jumpnbump-1.60-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2206fc38a0

Comment 25 Fedora Update System 2017-06-05 01:59:41 UTC
jumpnbump-1.60-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf8d29889c

Comment 26 Fedora Update System 2017-06-05 03:55:58 UTC
jumpnbump-1.60-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7f7dd3851b

Comment 27 Fedora Update System 2017-06-12 13:04:51 UTC
jumpnbump-1.60-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-06-12 19:28:11 UTC
jumpnbump-1.60-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-06-12 21:40:38 UTC
jumpnbump-1.60-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-06-21 08:17:54 UTC
jumpnbump-1.60-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.